Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri
Interface ServerEndpoint.ListenContext

Enclosing interface:
  ServerEndpoint

public static interface ServerEndpoint.ListenContext

A callback object for passing to `ServerEndpoint.enumerateListenEndpoints` to receive the enumerated `ListenEndpoint` instances and to choose an active listen operation for each of them on behalf of the caller of `enumerateListenEndpoints`.

Method Summary
`ServerEndpoint.ListenCookie` | `addListenEndpoint(ServerEndpoint.ListenEndpoint listenEndpoint)` Adds `listenEndpoint` to this `ListenContext`'s collection of `ListenEndpoint` instances for the `ServerEndpoint` it was passed to, starts a listen operation on `listenEndpoint` if necessary, and returns the `ListenCookie` for an active listen operation on `listenEndpoint`.

Method Detail

### addListenEndpoint

    public ServerEndpoint.ListenCookie addListenEndpoint(ServerEndpoint.ListenEndpoint listenEndpoint)
                                                  throws IOException

  Adds `listenEndpoint` to this `ListenContext`'s collection of `ListenEndpoint` instances for the `ServerEndpoint` it was passed to, starts a listen operation on `listenEndpoint` if necessary, and returns the `ListenCookie` for an active listen operation on `listenEndpoint`.

  The returned `ListenCookie` must have been obtained from a `ListenHandle` returned from some invocation of `ListenEndpoint.listen` on a `ListenEndpoint` equivalent to `listenEndpoint` by `Object.equals`.

  This method may start a new listen operation on `listenEndpoint` by invoking its `listen` method and returning the `ListenCookie` from the resulting `ListenHandle`, or it may return a `ListenCookie` for a listen operation previously started (but still active) on an equivalent `ListenEndpoint`. If this method does invoke `listen` on `listenEndpoint` and it throws an exception, then this method throws that exception.

  The implementation of this method may invoke `checkPermissions` on `listenEndpoint` to verify that a party that it is operating on behalf of has all of the security permissions necessary to listen for requests on `listenEndpoint`.

  Parameters:
    `listenEndpoint` - the `ListenEndpoint` to add to this `ListenContext` and to return a `ListenCookie` for
  Returns:
    a `ListenCookie` that represents an active listen operation on `listenEndpoint`
  Throws:
    `IOException` - if an invocation of `listen` on `listenEndpoint` throws an `IOException`
    `SecurityException` - if an invocation of `checkPermissions` or `listen` on `listenEndpoint` throws a `SecurityException`
    `IllegalStateException` - if this method is invoked unexpectedly, such as before being passed to `ServerEndpoint.enumerateListenEndpoints` or after the invocation of `ServerEndpoint.enumerateListenEndpoints` that it was created for has returned
    `NullPointerException` - if `listenEndpoint` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved